Last Comment Bug 651628 - Four tests in /accessible/tests/mochitest/ have been 'temporarily disabled' since 2009
: Four tests in /accessible/tests/mochitest/ have been 'temporarily disabled' s...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: alexander :surkov
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks: a11ytestdev
  Show dependency treegraph
 
Reported: 2011-04-20 14:19 PDT by Daniel Holbert [:dholbert] (largely AFK until June 28)
Modified: 2011-05-26 06:00 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
enable childAtPoint (4.01 KB, patch)
2011-05-25 05:31 PDT, alexander :surkov
mzehe: review+
Details | Diff | Review
enable comboboxes states (3.28 KB, patch)
2011-05-26 03:13 PDT, alexander :surkov
mzehe: review+
Details | Diff | Review
enable media test (7.42 KB, patch)
2011-05-26 04:09 PDT, alexander :surkov
mzehe: review+
Details | Diff | Review

Description Daniel Holbert [:dholbert] (largely AFK until June 28) 2011-04-20 14:19:53 PDT
I just noticed this output go by in my build output:
> Makefile:120: test_childAtPoint.html temporarily disabled
> Makefile:120: test_childAtPoint.xul temporarily disabled
> Makefile:120: test_elm_media.html temporarily disabled
> Makefile:120: test_nsIAccessible_comboboxes.xul temporarily disabled

These tests were all disabled (in 4 separate changesets*) in 2009, so I think "temporarily" is stretching it a bit. :)

We probably don't want to leave these tests disabled indefinitely, so I'm filing this bug on fixing them up.

* The 4 test-disabling csets were:

http://hg.mozilla.org/mozilla-central/diff/fff539595608/accessible/tests/mochitest/Makefile.in
http://hg.mozilla.org/mozilla-central/diff/d550af7a2c63/accessible/tests/mochitest/Makefile.in
http://hg.mozilla.org/mozilla-central/diff/324d492445e3/accessible/tests/mochitest/Makefile.in
http://hg.mozilla.org/mozilla-central/diff/d3ee07a4c551/accessible/tests/mochitest/Makefile.in
Comment 1 alexander :surkov 2011-05-25 05:31:58 PDT
Created attachment 535040 [details] [diff] [review]
enable childAtPoint

no idea why David disabled them, two changesets, one them doesn't refer to any bug, another one points to bug 482598 where there's no any reason or any reference as well.
Comment 2 Marco Zehe (:MarcoZ) 2011-05-25 06:40:19 PDT
Comment on attachment 535040 [details] [diff] [review]
enable childAtPoint

r=me. I seem to remember there was a problem with one of these tests being tied to a crashtest somehow, but don't remember the specifics. May long be fixed. Get these re-enabled and we'll see how they fare.
Comment 3 alexander :surkov 2011-05-25 20:26:37 PDT
childAtPoint tests enabled - http://hg.mozilla.org/mozilla-central/rev/4bc2227381c5
Comment 4 alexander :surkov 2011-05-26 03:13:47 PDT
Created attachment 535292 [details] [diff] [review]
enable comboboxes states
Comment 5 alexander :surkov 2011-05-26 04:09:28 PDT
Created attachment 535296 [details] [diff] [review]
enable media test
Comment 6 Marco Zehe (:MarcoZ) 2011-05-26 04:34:01 PDT
Comment on attachment 535292 [details] [diff] [review]
enable comboboxes states

r=me thanks!
Comment 7 Marco Zehe (:MarcoZ) 2011-05-26 04:37:53 PDT
Comment on attachment 535296 [details] [diff] [review]
enable media test

r=me, cool thanks!
Comment 8 alexander :surkov 2011-05-26 06:00:16 PDT
comboboxes states enabled - http://hg.mozilla.org/mozilla-central/rev/81b8f46ad93f

media actions enabled - http://hg.mozilla.org/mozilla-central/rev/dfbd3c6e3683

Note You need to log in before you can comment on or make changes to this bug.